package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazIdenMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazIden;
import com.goldenwater.slaj.hazard.service.ITBusiHazIdenService;

/**
 * 危险源辨识表 服务层实现
 */
@Service
public class TBusiHazIdenServiceImpl implements ITBusiHazIdenService {

    @Autowired
    private TBusiHazIdenMapper tBusiHazIdenMapper;

    /**
     * 查询危险源辨识表信息
     * @param guid 查询条件
     * @return 危险源辨识表信息
     */
    @Override
    public TBusiHazIden selectTBusiHazIdenByGuid(String guid) {
        return tBusiHazIdenMapper.selectTBusiHazIdenByGuid(guid);
    }

    /**
     * 查询危险源辨识表列表
     * @param tBusiHazIden 危险源辨识表查询条件
     * @return 危险源辨识表集合
     */
    @Override
    public List<TBusiHazIden> selectTBusiHazIdenList(TBusiHazIden tBusiHazIden) {
        return tBusiHazIdenMapper.selectTBusiHazIdenList(tBusiHazIden);
    }

    /**
     * 新增危险源辨识表
     * @param tBusiHazIden 危险源辨识表信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazIden(TBusiHazIden tBusiHazIden) {
        return tBusiHazIdenMapper.insertTBusiHazIden(tBusiHazIden);
    }

    /**
     * 修改危险源辨识表
     * @param tBusiHazIden 危险源辨识表信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazIden(TBusiHazIden tBusiHazIden) {
        return tBusiHazIdenMapper.updateTBusiHazIden(tBusiHazIden);
    }

    /**
     * 删除危险源辨识表
     * @param guid 危险源辨识表主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazIdenByGuid(String guid) {
        return tBusiHazIdenMapper.deleteTBusiHazIdenByGuid(guid);
    }

    /**
     * 批量删除危险源辨识表
     * @param guids 危险源辨识表主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazIdenByGuids(String[] guids) {
        return tBusiHazIdenMapper.deleteTBusiHazIdenByGuids(guids);
    }
}
